[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#505887: live-helper: please support an aptcache



Package: live-helper
Version: 1.0.1-2
Severity: wishlist

Many users (like me) will have a variety of apt cache directories or
apt proxies that can provide an apt cache - some will even be for
alternate architectures.

live-helper should copy pbuilder and related code by making the apt
cache available to processes inside the chroot. Maybe parse ~/.pbuilderrc
and make symlinks to the apt cache from there?

It would be good if this functionality would be available via live-magic.

-- Package-specific info:

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_GB.UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages live-helper depends on:
ii  cdebootstrap                  0.5.3      Bootstrap a Debian system
ii  debootstrap                   1.0.10     Bootstrap a basic Debian system

Versions of packages live-helper recommends:
ii  gettext-base                  0.17-4     GNU Internationalization utilities

Versions of packages live-helper suggests:
ii  dosfstools                 3.0.0-1       utilities for making and checking 
ii  fakeroot                   1.10.1        Gives a fake root environment
ii  genisoimage                9:1.1.9-1     Creates ISO-9660 CD-ROM filesystem
ii  grub                       0.97-47lenny1 GRand Unified Bootloader (Legacy v
pn  memtest86+ | memtest86     <none>        (no description available)
ii  mtools                     3.9.11-1      Tools for manipulating MSDOS files
pn  parted                     <none>        (no description available)
pn  squashfs-tools | genext2fs <none>        (no description available)
ii  sudo                       1.6.9p17-1    Provide limited super user privile
ii  syslinux                   2:3.71+dfsg-5 utilities for the syslinux bootloa
pn  uuid-runtime               <none>        (no description available)
pn  win32-loader               <none>        (no description available)

-- debconf-show failed



Reply to: